Integrations
Third-party integration management
List available integrations
AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Response Body
application/json
application/json
curl -X GET "https://api.expensicat.com/api/v1/integrations/available"{
"data": [
{
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"logo_url": "string",
"is_active": true,
"created_at": "string"
}
]
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}List team integrations
AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Response Body
application/json
application/json
curl -X GET "https://api.expensicat.com/api/v1/integrations"{
"data": [
{
"id": "string",
"organization_id": "string",
"integration_id": "string",
"is_enabled": true,
"metadata": {
"property1": null,
"property2": null
},
"created_at": "string",
"updated_at": "string",
"integration": {
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"logo_url": "string",
"is_active": true
}
}
],
"meta": {
"count": 0,
"next_cursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Get team integration
AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://api.expensicat.com/api/v1/integrations/string"{
"data": {
"id": "string",
"organization_id": "string",
"integration_id": "string",
"is_enabled": true,
"metadata": {
"property1": null,
"property2": null
},
"created_at": "string",
"updated_at": "string",
"integration": {
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"logo_url": "string",
"is_active": true
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Update team integration
AuthorizationBearer <token>
Session JWT or OAuth2 access token
In: header
Path Parameters
id*string
Request Body
application/json
is_enabled?boolean
metadata?
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.expensicat.com/api/v1/integrations/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "string",
"organization_id": "string",
"integration_id": "string",
"is_enabled": true,
"metadata": {
"property1": null,
"property2": null
},
"created_at": "string",
"updated_at": "string",
"integration": {
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"logo_url": "string",
"is_active": true
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}